VTK: IO/XML/vtkXMLWriterF.h File Reference

| VTK 9.3.1

Macros | Functions | Variables
vtkXMLWriterF.h File Reference
`#include "vtkXMLWriterC.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
Include dependency graph for vtkXMLWriterF.h:

Go to the source code of this file.

## Macros
#define | VTK_XMLWRITERF_MAX 256
#define | VTK_FORTRAN_NAME(name, NAME) name##__
#define | VTK_FORTRAN_ARG_STRING_POINTER(name) const char* name##_ptr_arg
#define | VTK_FORTRAN_ARG_STRING_LENGTH(name) , const long int name##_len_arg
#define | VTK_FORTRAN_REF_STRING_POINTER(name) name##_ptr_arg
#define | VTK_FORTRAN_REF_STRING_LENGTH(name) ((int)name##_len_arg)

## Functions
void | VTK_FORTRAN_NAME (vtkxmlwriterf_new, VTKXMLWRITERF_NEW)(int *self)
void | VTK_FORTRAN_NAME (vtkxmlwriterf_delete, VTKXMLWRITERF_DELETE)(int *self)
void | VTK_FORTRAN_NAME (vtkxmlwriterf_setdatamodetype, VTKXMLWRITERF_SETDATAMODETYPE)(const int *self

## Variables
static vtkXMLWriterC * | vtkXMLWriterF_Table [VTK_XMLWRITERF_MAX+1]

## Macro Definition Documentation

## ◆ VTK_XMLWRITERF_MAX

#define VTK_XMLWRITERF_MAX 256

Definition at line 27 of file vtkXMLWriterF.h.

## ◆ VTK_FORTRAN_NAME

#define VTK_FORTRAN_NAME | ( |  | name,
|  |  | NAME
| ) |  | name##__

Definition at line 38 of file vtkXMLWriterF.h.

## ◆ VTK_FORTRAN_ARG_STRING_POINTER

#define VTK_FORTRAN_ARG_STRING_POINTER | ( |  | name | ) | const char* name##_ptr_arg

Definition at line 41 of file vtkXMLWriterF.h.

## ◆ VTK_FORTRAN_ARG_STRING_LENGTH

#define VTK_FORTRAN_ARG_STRING_LENGTH | ( |  | name | ) | , const long int name##_len_arg

Definition at line 44 of file vtkXMLWriterF.h.

## ◆ VTK_FORTRAN_REF_STRING_POINTER

#define VTK_FORTRAN_REF_STRING_POINTER | ( |  | name | ) | name##_ptr_arg

Definition at line 47 of file vtkXMLWriterF.h.

## ◆ VTK_FORTRAN_REF_STRING_LENGTH

#define VTK_FORTRAN_REF_STRING_LENGTH | ( |  | name | ) | ((int)name##_len_arg)

Definition at line 50 of file vtkXMLWriterF.h.

## Function Documentation

## ◆ VTK_FORTRAN_NAME() [1/3]

void VTK_FORTRAN_NAME | ( | vtkxmlwriterf_new | ,
|  | VTKXMLWRITERF_NEW |
| ) |  |

Definition at line 55 of file vtkXMLWriterF.h.

## ◆ VTK_FORTRAN_NAME() [2/3]

void VTK_FORTRAN_NAME | ( | vtkxmlwriterf_delete | ,
|  | VTKXMLWRITERF_DELETE |
| ) |  |

Definition at line 79 of file vtkXMLWriterF.h.

## ◆ VTK_FORTRAN_NAME() [3/3]

void VTK_FORTRAN_NAME | ( | vtkxmlwriterf_setdatamodetype | ,
|  | VTKXMLWRITERF_SETDATAMODETYPE |
| ) |  | const

## Variable Documentation

## ◆ vtkXMLWriterF_Table

vtkXMLWriterC* vtkXMLWriterF_Table[VTK_XMLWRITERF_MAX+1]
| static

Definition at line 29 of file vtkXMLWriterF.h.